#include <stdio.h>
#include <stdlib.h>

#include "attaques.h"
#include "structures.h"


/*!
 * \fn attaquer(Personnage *attaquant, Attaque *attaque_select, Personnage *cible)
 * \brief La fonction declenche une attaque partant d'un attaquant sur une cible.
 *
 * \param un personnage attaquant, une attaque, un personnage cible.
 * \return Un entier.
 */
int attaquer(Personnage *attaquant, Attaque *attaque_select, Personnage *cible)
{
    int i=0;
    for(i=0; i<5; i++)
    {
       // ajouter_effet(attaquant, attaque_select->effets[i], cible);
    }
    return 0;
}


/*!
 * \fn int ajouter_effet_perso(Effet *effet_select, Personnage *cible)
 * \brief La fonction ajoute un effet sur un personnage.
 *
 * \param Un effet, un personnage cible.
 * \return Un entier.
 */
int ajouter_effet_perso(Effet *effet_select, Personnage *cible)
{


    return 0;
}


/*!
 * \fn int appliquer_effet(Effet *effet_select, Personnage *cible)
 * \brief La fonction applique un effet sur un personnage.
 *
 * \param Un effet, un personnage cible.
 * \return Un entier.
 */
int appliquer_effet(Effet *effet_select, Personnage *cible)
{
    (cible->PV) -= (effet_select->valeur_degats);

}


/*!
 * \fn Effet* init_effet()
 * \brief La fonction initialise un effet.
 *
 * \return Un effet.
 */
Effet* init_effet()
{
    Effet* effet_A = malloc(sizeof(Effet));

    effet_A->nb_tours = 0;
    effet_A->valeur_degats = 0;
    effet_A->valeur_degats_duree = 0;
    effet_A->valeur_soin = 0;
    effet_A->valeur_soin_duree = 0;

    return effet_A;

}

